Get routing run report
get
/api/field-service/routing/v1/routingRuns/{runId}/custom-actions/report
This operation retrieves a summary report and detailed per-activity assignment metrics for the specified routing run.
Request
Path Parameters
-
runId(required): integer
The ID of the routing run.
Response
Supported Media Types
- application/schema+json
- application/json
200 Response
This section describes the 200 status response for this operation.
Root Schema : routingRunReport
Type:
objectThe routing run report.
Show Source
-
activitiesToBeAssigned:
number
The number of activities to be assigned.
-
assigned:
object assigned
The list of assigned activities.
-
assignedActivities:
number
The number of assigned activities.
-
assurance:
number
The assurance level.
-
averageMileageKm:
number
The average mileage in kilometers.
-
averageOvertimeMinutes:
number
The average overtime in minutes.
-
averageTravelTimeMinutes:
number
The average travel time in minutes.
-
averageWaitingTimeMinutes:
number
The average waiting time in minutes.
-
averageWorkTimeMinutes:
number
The average work time in minutes.
-
durationSeconds:
number
The duration of the run in seconds.
-
finished:
string(date-time)
The finish date and time of the run.
-
notAssigned:
object notAssigned
The list of not assigned activities.
-
notAssignedActivities:
number
The number of not assigned activities.
-
planLabel:
string
The label of the scheduling plan.
-
planName:
string
The name of the scheduling plan.
-
reassigned:
object reassigned
The list of assigned activities.
-
reassignedActivities:
number
The number of reassigned activities.
-
reordered:
object reordered
The list of reordered activities.
-
reorderedActivities:
number
The number of reordered activities.
-
resourceExternalId:
string
The external ID of the resource.
-
resourceId:
number
The ID of the resource.
-
resourcesChangedRoutes:
number
The number of resources that changed routes.
-
resultDescription:
string
The result description of the run.
-
resultStatus:
string
Allowed Values:
[ "undefined", "rolledback", "scheduled", "running", "completed", "waiting", "stopped", "skipped", "failed" ]The result status of the run. -
routeDateStart:
string(date)
The start date of the route.
-
runDate:
string(date)
The date of the run.
-
runId:
number
The ID of the routing run.
-
runStartType:
string
Allowed Values:
[ "automatic", "manual" ]How the run was started. -
schedulingPlanId:
number
The ID of the scheduling plan.
-
schedulingPlanType:
string
Allowed Values:
[ "manual", "onceaday", "recurrent", "immediate", "continuous" ]The type of the scheduling plan/run. -
started:
string(date-time)
The start date and time of the run.
-
totalActivitiesChanged:
number
The total number of activities changed.
-
totalResources:
number
The total number of resources.
-
unassigned:
object unassigned
The list of assigned activities.
-
unassignedActivities:
number
The number of unassigned activities.
Nested Schema : assigned
Type:
objectThe list of assigned activities.
Show Source
-
hasMore:
boolean
True if more results are available for paging; false otherwise.
-
items:
array items
-
limit:
integer
The limit value specified in the request. Defaults to 10.
-
offset:
integer
The offset value specified in the request.
-
totalResults:
integer
The total number of items in the collection.
Nested Schema : notAssigned
Type:
objectThe list of not assigned activities.
Show Source
-
hasMore:
boolean
True if more results are available for paging; false otherwise.
-
items:
array items
-
limit:
integer
The limit value specified in the request. Defaults to 10.
-
offset:
integer
The offset value specified in the request.
-
totalResults:
integer
The total number of items in the collection.
Nested Schema : reassigned
Type:
objectThe list of assigned activities.
Show Source
-
hasMore:
boolean
True if more results are available for paging; false otherwise.
-
items:
array items
-
limit:
integer
The limit value specified in the request. Defaults to 10.
-
offset:
integer
The offset value specified in the request.
-
totalResults:
integer
The total number of items in the collection.
Nested Schema : reordered
Type:
objectThe list of reordered activities.
Show Source
-
hasMore:
boolean
True if more results are available for paging; false otherwise.
-
items:
array items
-
limit:
integer
The limit value specified in the request. Defaults to 10.
-
offset:
integer
The offset value specified in the request.
-
totalResults:
integer
The total number of items in the collection.
Nested Schema : unassigned
Type:
objectThe list of assigned activities.
Show Source
-
hasMore:
boolean
True if more results are available for paging; false otherwise.
-
items:
array items
-
limit:
integer
The limit value specified in the request. Defaults to 10.
-
offset:
integer
The offset value specified in the request.
-
totalResults:
integer
The total number of items in the collection.
Nested Schema : items
Type:
Show Source
object-
activityId:
number
The ID of the activity.
-
fromDate:
string(date)
The date from which the activity was moved.
-
fromResourceExternalId:
string
The external ID of the resource from which the activity was moved.
-
toDate:
string(date)
The date to which the activity was moved.
-
toResourceExternalId:
string
The external ID of the resource to which the activity was moved.
-
travelEstimationMethod:
number
The travel estimation method used.
Nested Schema : items
Type:
Show Source
object-
activityId:
number
The ID of the activity.
-
notAssignedReason:
string
The error message for not assigning the activity.
-
notAssignedReasonCode:
number
The reason code for not assigning the activity.
-
resourceExternalId:
string
The external ID of the initial resource.
Nested Schema : items
Type:
Show Source
object-
activityId:
number
The ID of the activity.
-
fromDate:
string(date)
The date from which the activity was moved.
-
fromResourceExternalId:
string
The external ID of the resource from which the activity was moved.
-
toDate:
string(date)
The date to which the activity was moved.
-
toResourceExternalId:
string
The external ID of the resource to which the activity was moved.
-
travelEstimationMethod:
number
The travel estimation method used.
Nested Schema : items
Type:
Show Source
object-
activityId:
number
The ID of the activity.
-
fromPreviousActivityId:
number
The ID of the previous activity before reordering.
-
resourceExternalId:
string
The external ID of the resource.
-
routeDate:
string(date)
The date of the route.
-
toPreviousActivityId:
number
The ID of the previous activity after reordering.
-
travelEstimationMethod:
number
The travel estimation method used.
Nested Schema : items
Type:
Show Source
object-
activityId:
number
The ID of the activity.
-
fromDate:
string(date)
The date from which the activity was moved.
-
fromResourceExternalId:
string
The external ID of the resource from which the activity was moved.
-
toDate:
string(date)
The date to which the activity was moved.
-
toResourceExternalId:
string
The external ID of the resource to which the activity was moved.
-
travelEstimationMethod:
number
The travel estimation method used.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
Show Source
object-
detail(required):
string
The detailed description of this error.
-
status(required):
string
The HTTP status code of this error.
-
title(required):
string
The brief description of this error.
-
type(required):
string
The URL of the web page containing more details about this error.